extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:nightcrawler/nightcrawler_layer1",
	"layer2": "tgheroes:nightcrawler/nightcrawler_layer2",
    "segment": "tgheroes:nightcrawler/tail_segmetn",
	"tip": "tgheroes:nightcrawler/tail_tip"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
  
   var tail_segmetn = utils.createModel(renderer, "tgheroes:tail_segment", "segment");
   var tail_tip = utils.createModel(renderer, "tgheroes:tail_tip", "tip");
    var tentacles = renderer.bindProperty("fiskheroes:tentacles").setTentacles([
        { "offset": [2.0, -10.0, -2.0], "direction": [10.0, 0.0, -10.0] }

    ]);
    tentacles.anchor.set("body");
    tentacles.setSegmentModel(tail_segmetn);
	tentacles.setHeadModel(tail_tip);
    tentacles.segmentLength = 2.0;
    tentacles.segments = 30;
	
	utils.bindCloud(renderer, "fiskheroes:teleportation", "tgheroes:nightcrawler_teleport");
}